#ifndef guard_occ_core_parser_DefaultTranslatingWalker_h
#define guard_occ_core_parser_DefaultTranslatingWalker_h

#include "NoOpTranslatingWalker.h"
namespace Opencxx
{
/**
 * The NoOpTranslatingWalker does'nt behave as expected:
 * It don't generate highter constructs
 * The Default TranslatingWalker implements the independed collection
 * of higherlevel Constructs
 */
class DefaultTranslatingWalker : public NoOpTranslatingWalker 
{
public:
    /* Translates a Block */
    virtual Ptree* TranslateBrace(Ptree*);
    virtual Ptree* TranslateDeclaration(Ptree* def);
    virtual Ptree* TranslateTypespecifier(Ptree* tspec);
    virtual ~DefaultTranslatingWalker() {}

};

}
#endif /* ! guard_occ_core_parser_DefaultTranslatingWalker_h */
