#include"NoOpTranslatingWalker.h"
///< catch-all

using namespace Opencxx;
Ptree* NoOpTranslatingWalker::TranslatePtree(Ptree *p)
{
  return p;
}


Ptree* NoOpTranslatingWalker::TranslateTypedef(Ptree *p)
{
  return p;
}


Ptree* NoOpTranslatingWalker::TranslateTemplateDecl(Ptree *p)
{
  return p;
}


Ptree* NoOpTranslatingWalker::TranslateTemplateInstantiation(Ptree *p)
{
  return p;
}


Ptree* NoOpTranslatingWalker::TranslateTemplateInstantiation(Ptree *p, Ptree*,
 Ptree*, Class*)
{
  return p;
}

Ptree* NoOpTranslatingWalker::TranslateExternTemplate(Ptree *p)
{
  return p;
}


Ptree* NoOpTranslatingWalker::TranslateTemplateClass(Ptree *p, Ptree*)
{
  return p;
}


Ptree* NoOpTranslatingWalker::TranslateTemplateFunction(Ptree *p, Ptree*)
{
  return p;
}


Ptree* NoOpTranslatingWalker::TranslateMetaclassDecl(Ptree *p)
{
  return p;
}


Ptree* NoOpTranslatingWalker::TranslateLinkageSpec(Ptree *p)
{
  return p;
}


Ptree* NoOpTranslatingWalker::TranslateNamespaceSpec(Ptree *p)
{
  return p;
}


Ptree* NoOpTranslatingWalker::TranslateNamespaceAlias(Ptree *p)
{
  return p;
}


Ptree* NoOpTranslatingWalker::TranslateUsing(Ptree *p)
{
  return p;
}


Ptree* NoOpTranslatingWalker::TranslateDeclaration(Ptree *p)
{
  return p;
}


Ptree* NoOpTranslatingWalker::TranslateStorageSpecifiers(Ptree *p)
{
  return p;
}


Ptree* NoOpTranslatingWalker::TranslateDeclarators(Ptree *p)
{
  return p;
}


Ptree* NoOpTranslatingWalker::TranslateDeclarator(bool, PtreeDeclarator*)
{
  return 0;
}


Ptree* NoOpTranslatingWalker::TranslateArgDeclList(bool, Ptree *p, Ptree*)
{
  return p;
}


Ptree* NoOpTranslatingWalker::TranslateInitializeArgs(PtreeDeclarator*, Ptree *p)
{
  return p;
}


Ptree* NoOpTranslatingWalker::TranslateAssignInitializer(PtreeDeclarator*, Ptree *p)
{
  return p;
}


Ptree* NoOpTranslatingWalker::TranslateFunctionImplementation(Ptree *p)
{
  return p;
}


Ptree* NoOpTranslatingWalker::TranslateFunctionBody(Ptree *p)
{
  return p;
}


Ptree* NoOpTranslatingWalker::TranslateBrace(Ptree *p)
{
  return p;
}


Ptree* NoOpTranslatingWalker::TranslateBlock(Ptree *p)
{
  return p;
}


Ptree* NoOpTranslatingWalker::TranslateClassBody(Ptree *p, Ptree*, Class*)
{
  return p;
}


Ptree* NoOpTranslatingWalker::TranslateClassSpec(Ptree *p)
{
  return p;
}


Ptree* NoOpTranslatingWalker::TranslateClassSpec(Ptree *p, Ptree*, Ptree*, Class*)
{
  return p;
}


Ptree* NoOpTranslatingWalker::TranslateEnumSpec(Ptree *p)
{
  return p;
}


Ptree* NoOpTranslatingWalker::TranslateAccessSpec(Ptree *p)
{
  return p;
}


Ptree* NoOpTranslatingWalker::TranslateAccessDecl(Ptree *p)
{
  return p;
}


Ptree* NoOpTranslatingWalker::TranslateUserAccessSpec(Ptree *p)
{
  return p;
}


Ptree* NoOpTranslatingWalker::TranslateIf(Ptree *p)
{
  return p;
}


Ptree* NoOpTranslatingWalker::TranslateSwitch(Ptree *p)
{
  return p;
}


Ptree* NoOpTranslatingWalker::TranslateWhile(Ptree *p)
{
  return p;
}


Ptree* NoOpTranslatingWalker::TranslateDo(Ptree *p)
{
  return p;
}


Ptree* NoOpTranslatingWalker::TranslateFor(Ptree *p)
{
  return p;
}


Ptree* NoOpTranslatingWalker::TranslateTry(Ptree *p)
{
  return p;
}


Ptree* NoOpTranslatingWalker::TranslateBreak(Ptree *p)
{
  return p;
}


Ptree* NoOpTranslatingWalker::TranslateContinue(Ptree *p)
{
  return p;
}


Ptree* NoOpTranslatingWalker::TranslateReturn(Ptree *p)
{
  return p;
}


Ptree* NoOpTranslatingWalker::TranslateGoto(Ptree *p)
{
  return p;
}


Ptree* NoOpTranslatingWalker::TranslateCase(Ptree *p)
{
  return p;
}


Ptree* NoOpTranslatingWalker::TranslateDefault(Ptree *p)
{
  return p;
}


Ptree* NoOpTranslatingWalker::TranslateLabel(Ptree *p)
{
  return p;
}


Ptree* NoOpTranslatingWalker::TranslateExprStatement(Ptree *p)
{
  return p;
}


Ptree* NoOpTranslatingWalker::TranslateTypespecifier(Ptree *p)
{
  return p;
}


Ptree* NoOpTranslatingWalker::TranslateComma(Ptree *p)
{
  return p;
}


Ptree* NoOpTranslatingWalker::TranslateAssign(Ptree *p)
{
  return p;
}


Ptree* NoOpTranslatingWalker::TranslateCond(Ptree *p)
{
  return p;
}


Ptree* NoOpTranslatingWalker::TranslateInfix(Ptree *p)
{
  return p;
}


Ptree* NoOpTranslatingWalker::TranslatePm(Ptree *p)
{
  return p;
}


Ptree* NoOpTranslatingWalker::TranslateCast(Ptree *p)
{
  return p;
}


Ptree* NoOpTranslatingWalker::TranslateUnary(Ptree *p)
{
  return p;
}


Ptree* NoOpTranslatingWalker::TranslateThrow(Ptree *p)
{
  return p;
}


Ptree* NoOpTranslatingWalker::TranslateSizeof(Ptree *p)
{
  return p;
}


Ptree* NoOpTranslatingWalker::TranslateTypeid(Ptree *p)
{
  return p;
}


Ptree* NoOpTranslatingWalker::TranslateTypeof(Ptree *p)
{
  return p;
}


Ptree* NoOpTranslatingWalker::TranslateNew(Ptree *p)
{
  return p;
}


Ptree* NoOpTranslatingWalker::TranslateNew2(Ptree *p, Ptree*, Ptree*, Ptree*,	Ptree*, Ptree*, Ptree*)
{
    return p;
}

Ptree* NoOpTranslatingWalker::TranslateNew3(Ptree *type)
{
  return type;
}


Ptree* NoOpTranslatingWalker::TranslateDelete(Ptree *p)
{
  return p;
}


Ptree* NoOpTranslatingWalker::TranslateThis(Ptree *p)
{
  return p;
}


Ptree* NoOpTranslatingWalker::TranslateVariable(Ptree *p)
{
  return p;
}


Ptree* NoOpTranslatingWalker::TranslateFstyleCast(Ptree *p)
{
  return p;
}


Ptree* NoOpTranslatingWalker::TranslateArray(Ptree *p)
{
  return p;
}


Ptree* NoOpTranslatingWalker::TranslateFuncall(Ptree *p)
{
  return p;
}

	// and fstyle cast
Ptree* NoOpTranslatingWalker::TranslatePostfix(Ptree *p)
{
  return p;
}


Ptree* NoOpTranslatingWalker::TranslateUserStatement(Ptree *p)
{
  return p;
}


Ptree* NoOpTranslatingWalker::TranslateDotMember(Ptree *p)
{
  return p;
}


Ptree* NoOpTranslatingWalker::TranslateArrowMember(Ptree *p)
{
  return p;
}


Ptree* NoOpTranslatingWalker::TranslateParen(Ptree *p)
{
  return p;
}


Ptree* NoOpTranslatingWalker::TranslateStaticUserStatement(Ptree *p)
{
  return p;
}
