#ifndef CLASSBODYCONTEXTWALKER_H
#define CLASSBODYCONTEXTWALKER_H
#include<OMF/OMF.hpp>
#include<OMF/Model.hpp>
#include<UML/Class.hpp>
#include<UML/VisibilityKind.hpp>
#include<UML/Operation.hpp>
//#include"DefaultTranslatingWalker.h"
#include"NoOpTranslatingWalker.h"

class ClassBodyContextWalker : public Opencxx::NoOpTranslatingWalker
{
public:
    ClassBodyContextWalker(OMF::Model *model,UML::Class *umlclass,bool is_struct);
    ~ClassBodyContextWalker();
    virtual Opencxx::Ptree *TranslateAccessSpec(Opencxx::Ptree *aspec);
    virtual Opencxx::Ptree *TranslateDeclaration(Opencxx::Ptree *decl);
    virtual Opencxx::Ptree *TranslateFunctionImplementation(Opencxx::Ptree *decl);
    virtual Opencxx::Ptree *TranslateDeclarators(Opencxx::Ptree *decl);

    void assembleVariable(Opencxx::Ptree *storageattr,Opencxx::Ptree *typ,
			  Opencxx::Ptree *name,const char *comment="");

    void assembleMethod(Opencxx::Ptree *storageattr,Opencxx::Ptree *rettyp,
			Opencxx::Ptree *name,Opencxx::Ptree *args,
			bool isabstract=false,const char *comment="");
private:    
    void assembleArgList(UML::Operation *op,Opencxx::Ptree *args);
    OMF::Model *model_;
    UML::Class *umlclass_;
    UML::VisibilityKind::Type currentvisibility_;
};
#endif
